%global modname dateutil
%define anolis_release 1
Name:           python-%{modname}
Version:        2.8.2
Release:        %{anolis_release}%{?dist}
Epoch:          1
Summary:        Powerful extensions to the standard datetime module

# According to the LICENSE file:
# - BSD License applies to all code, even that also covered by ASL 2.0
# - ASL 2.0 applies to all contributions after 2017-12-01, as well as
#   all contributions that have been re-licensed.
License:        BSD or (BSD and ASL 2.0)

URL:            https://github.com/dateutil/dateutil
Source:         %{pypi_source}

# when bootstrapping dateutil-freezegun, we cannot run tests
%bcond_without tests

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%global _description \
The dateutil module provides powerful extensions to the standard datetime\
module available in Python.

%description %_description

%package -n python3-%{modname}
Summary:        %summary
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
%if %{with tests}
BuildRequires:  python3-freezegun
BuildRequires:  python3-hypothesis
BuildRequires:  python3-pytest
BuildRequires:  python3-six
%endif
Requires:       tzdata
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}  %_description

%package doc
Summary: API documentation for python-dateutil
%description doc
This package contains %{summary}.

%prep
%autosetup
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%py3_build
make -C docs html

%install
%py3_install

%if %{with tests}
%check
%{__python3} -m pytest -W ignore::pytest.PytestUnknownMarkWarning
%endif

%files -n python3-%{modname}
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 2.8.2-1
- upstream version 2.8.2
